package com.salpa.model.service;

import com.salpa.common.core.domain.AjaxResult;
import com.salpa.model.domain.ProjectModelInfo;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @author zhuff
 */
public interface ModelService {

    List<ProjectModelInfo> getList(Integer pageNum,Integer pageSize,String projectName);

    String checkProjectNameUnique(String projectName);

    int addProject(ProjectModelInfo projectModelInfo) throws IOException;

    int deleteProject(Integer projectId);

    int updateProject(ProjectModelInfo projectModelInfo);

    ProjectModelInfo getById(Integer projectId);

    List<Map<String, Object>> getUserList();

    int updateJsonFile(ProjectModelInfo projectModelInfo);

    AjaxResult connectDataSource(Map map);

    AjaxResult executeSql(Map map);
}
